#ifndef GST_CU_MESH_SIMPLIFICATION_PARAMETERS_HPP_
#define GST_CU_MESH_SIMPLIFICATION_PARAMETERS_HPP_

#include "buildspec.h"

#include <string>

namespace GST
{
namespace ClientUtils
{
class GST_API_EXPORT MeshSimplificationParameters
{
public:
	MeshSimplificationParameters(double simplificationRatio,
								 bool keepBordersIntact);
	double simplificationRatio() const;
	bool keepBordersIntact() const;
	void setSimplificationRatio(double simplificationRatio);
	void setKeepBordersIntact(bool keepBordersIntact);

private:
	double m_simplificationRatio;
	bool m_keepBordersIntact;
};
} // namespace ClientUtils
} // namespace GST

#endif // GST_CU_MESH_SIMPLIFICATION_PARAMETERS_HPP_
